Point displacement - weird behavior with multiple layers for a symbol

2019-01-31 01:38 PM - Jérémie Prud'homme

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28961

Description

Hi,

I have a point layer with several types of vehicles (column type) and some points are at the same place.

I choose point displacement for my layer style and Categorized as renderer.

When I choose a one-layer symbol for my vehicle type 'CCFM' for example, the point is well placed ( = around the original point when

there are other vehicles too).

When I choose to add a second layer for that symbol (for example the default red point of Simple marker), the point is going nuts and is no

more near the original point. Surprisingly, the point with the 2 layers symbol is well place if there is no other vehicle at the same place.

Hope my description is clear enough !

I tried it with QGIS 2.18.24 and 3.4.4.

Associated revisions

Revision 867e3994 - 2019-02-05 01:07 AM - Nyall Dawson

Allow for exact calculation of symbol sizes with mixed layer units

Fixes #21143

Revision 33987fa5 - 2019-02-07 03:53 AM - Nyall Dawson

Allow for exact calculation of symbol sizes with mixed layer units

Fixes #21143

(cherry picked from commit 867e39947b3f24d0b7714cd44e28126b61769340)

History

#1 - 2019-02-01 05:15 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. Can you share your style?
#2 - 2019-02-01 08:58 AM - Jérémie Prud'homme

- File TestPointDisplacement.gpkg added

Here is a gpkg file with test points and style included.

#3 - 2019-02-01 10:24 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-02-04 12:49 AM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

Confirmed

#5 - 2019-02-05 01:06 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|867e39947b3f24d0b7714cd44e28126b61769340.
